language: cn
model_unique_abbr: Flow_gravity
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:2.0
  model_name: 地理流的重力模型
  description: 本算法旨在使用历史样本流量数据估计引力模型的参数，带入引力模型公式预测未知流的流量属性。
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 地理流
    - 预测

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-gravity
    - arg_name: od
      is_positional_arg: true
      param_type: input_data
      name: 输入数据文件
      description: 记录待估流的CSV文件
      data_type: csv
      data_semantic: od_flow
    - arg_name: od_pred
      is_positional_arg: true
      param_type: output_data
      name: 输出数据文件
      description: 记录输出结果的文件夹路径
      data_type: str
      data_semantic: od_prediction
    - arg_name: pop
      is_positional_arg: true
      param_type: input_data
      name: 输入区域人口文件
      description: 包含了所需要的区域人口输入数据的csv文件路径
      data_type: csv
      data_semantic: district_population
    - arg_name: g
      is_positional_arg: true
      param_type: param
      name: 参数
      description: 引力模型系数
      data_type: float
      data_semantic: gravity_parameter
      specification:
        range:
        - "(0,)"
    - arg_name: od_index
      is_positional_arg: true
      param_type: param
      name: 参数
      description: 待估流文件列索引字符串
      data_type: str
      data_semantic: od_index
    - arg_name: pop_index
      is_positional_arg: true
      param_type: param
      name: 参数
      description: 区域人口文件列索引字符串
      data_type: str
      data_semantic: pop_index

application:
  domain: 地理流
  objective: 预测未知流的流量
  link_models:
    preorder: []


operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark_geoflow:1.0 flow-gravity /data/od_flows.csv /data/gravity_res /data/district_pop_wuhan.csv 1 0,1 0,1,2,3
  output_display:
    - 输出显示描述

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1

